/* This file is part of the Allegria project
   Copyright (C) 2004 Francois Schiettekatte <francois.schiettekatte@umontreal.ca>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef ALLEGRIAWINDOW_H
#define ALLEGRIAWINDOW_H

#include <qmainwindow.h>
#include <qtextbrowser.h>


#include "../XYQt/FSGraph.h"
#include "../XYQt/PeriodicTable.h"
#include "ExperimentalSetupImpl.h"

class AllegriaWindow : public QMainWindow
{
	Q_OBJECT

public:
	AllegriaWindow( QWidget* parent = 0, const char* name = 0, WFlags f = WType_TopLevel );
	~AllegriaWindow();

private:

    QMenuBar *menu;
	QTextBrowser *textbrowser;
	QString workingdir;
	QString ERDoutput;


public slots:

	bool readDepthProfiles();
	bool readDepthProfiles(QString fileName, QPen pen, double stepSize = 1.);
	void writeDepthProfilesMultiColumn();
	void writeEnergySpectraMultiColumn();
	void saveEnergySpectrumAsInt();

	void experimentalSetup();
	bool go();
	void showERDoutput();
	void calibView();

	void about();

public:
	bool checkGraphData(FSGraph * g);
	FSGraph * profileGraph;
	FSGraph * energyGraph;

};


#endif // ALLEGRIAWINDOW_H
