/* This file is part of the Allegria project
   Copyright (C) 2004 Francois Schiettekatte <francois.schiettekatte@umontreal.ca>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef FSEDITDATASET_H
#define FSEDITDATASET_H

#include <qdialog.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qpixmap.h>
#include <qpen.h>

#include "FSDataSet.h"
#include "FSPenEdit.h"

class FSEditDataSet : public QDialog {
        Q_OBJECT
    private:
        FSPenEdit *linePenEdit;
        QLineEdit *legendEdit, *symbolSizeEdit;
        QComboBox *symbolEdit;
        QPushButton *ok, *cancel, *color;

        QPixmap pm;
        QPen _symbolPen;

    public:
        FSEditDataSet(FSDataSet *d, QWidget *parent = 0, QString name=0 );

        QString legend( void );
        QPen linePen( void );
        QPen symbolPen( void );
        int symbol( void );
        double symbolSize( void );

    private slots:
        void newSymbolColor( void );
};

#endif // FSEDITDATASET_H

