/* This file is part of the Allegria project
   Copyright (C) 2004 Francois Schiettekatte <francois.schiettekatte@umontreal.ca>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#include <qdialog.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qradiobutton.h>

#include "FSPenEdit.h"
#include "xpmLineStyle.h"

class FSEditLegend : public QDialog {
        Q_OBJECT
    private:
        QFont selectedFont;

        QRadioButton *legNone, *legLeft, *legRight, *legOutside;
        FSPenEdit *linePenEdit;
        QLineEdit *lineWidth;
        QCheckBox *colorAndFont;
        QPushButton *ok, *cancel, *btFont;

    public:
        FSEditLegend(QPen legPen, QFont legFont, int legPos, QWidget *parent = 0, QString name=0 );
        QPen pen( void );
        QFont font( void ) { return selectedFont; }
        int pos( void );

        bool applyColorAndFont( void ){return colorAndFont->isChecked();}

    private slots:
        void newFont();

};

